Debian Bug report logs - #680400
fails to install with libhdf5-openmpi-7

version graph

Package: libhe5-hdfeos0; Maintainer for libhe5-hdfeos0 is Alastair McKinstry <mckinstry@debian.org>; Source for libhe5-hdfeos0 is src:hdf-eos5.

Reported by: Ivan Shmakov <oneingray@gmail.com>

Date: Thu, 5 Jul 2012 17:12:01 UTC

Severity: normal

Found in version hdf-eos5/5.1.13.dfsg.1-3

Fixed in version hdf-eos5/5.1.14+dfsg.1-1

Done: Alastair McKinstry <mckinstry@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#680400; Package libhe5-hdfeos0. (Thu, 05 Jul 2012 17:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Shmakov <oneingray@gmail.com>:
New Bug report received and forwarded. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Thu, 05 Jul 2012 17:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ivan Shmakov <oneingray@gmail.com>
To: submit@bugs.debian.org
Cc: Ivan Shmakov <oneingray@gmail.com>
Subject: fails to install with libhdf5-openmpi-7
Date: Fri, 06 Jul 2012 00:08:38 +0700
Package: libhe5-hdfeos0
Version: 5.1.13.dfsg.1-3

	As explained in [1], the current Debian package management
	software lacks the proper support for versioned dependencies
	over “provided” package names (as in Package: libhdf5-openmpi-7
	Provides: libhdf5-7), thus making libhe5-hdfeos0 uninstallable
	should any of the alternative libhdf5-*-7 packages (and thus
	cdo, which Depends: on libhdf5-openmpi-7) be installed at the
	same time.

	AIUI, switching to unversioned Depends: libhdf5-7 is thus
	necessary.

[1] news:udlvci28as8.fsf@dr-wily.mit.edu
    http://permalink.gmane.org/gmane.linux.debian.science/5353

-- 
FSF associate member #7257




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#680400; Package libhe5-hdfeos0. (Wed, 18 Jul 2012 15:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Shmakov <oneingray@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 18 Jul 2012 15:09:08 GMT) Full text and rfc822 format available.

Message #10 received at 680400@bugs.debian.org (full text, mbox):

From: Ivan Shmakov <oneingray@gmail.com>
To: 680400@bugs.debian.org
Cc: Ivan Shmakov <oneingray@gmail.com>
Subject: Bug#680400: multiple issues, including package & .so dependencies
Date: Wed, 18 Jul 2012 21:25:06 +0700
>>>>> Ivan Shmakov <oneingray@gmail.com> writes:

 > Package: libhe5-hdfeos0
 > Version: 5.1.13.dfsg.1-3

 > As explained in [1], the current Debian package management software
 > lacks the proper support for versioned dependencies over “provided”
 > package names

[…]

 > AIUI, switching to unversioned Depends: libhdf5-7 is thus
 > necessary.

	JFTR: I've re-built the package [2], and was unable to reproduce
	this issue:

$ dpkg-deb -I -- libhe5-hdfeos0_5.1.13.dfsg.1-3.0+is+1_amd64.deb 
…
 Depends: libc6 (>= 2.7), libhdf5-7
…
$ 

	Unfortunately, there're two more issues that affect the package.
	First of all, the .so library provided lacks a dependency on
	libgctp.so.0d (and thus the package as a whole lacks a
	dependency on libgctp0d), which probably means a missing -l to
	the linker.

	The second issue is that both the package currently in testing,
	and the one I've built myself, contain a spurious /usr/lib/*/
	(sic) directory:

$ dpkg -c -- libhe5-hdfeos0_5.1.13.dfsg.1-3_amd64.deb 
…
drwxr-xr-x root/root         0 2012-02-13 15:33 ./usr/lib/
drwxr-xr-x root/root         0 2012-02-13 15:33 ./usr/lib/*/
drwxr-xr-x root/root         0 2012-02-13 15:33 ./usr/lib/x86_64-linux-gnu/
…
$ 

	Any ideas on the latter one?

	TIA.

 > [1] news:udlvci28as8.fsf@dr-wily.mit.edu
 >     http://permalink.gmane.org/gmane.linux.debian.science/5353

   [2] http://waterlily.am-1.org/~ivan/mini-dinstall/1gray-misc/amd64/libhe5-hdfeos0_5.1.13.dfsg.1-3.0+is+1_amd64.deb

-- 
FSF associate member #7257	http://sf-day.org/
deb     http://waterlily.siamics.net/~ivan/mini-dinstall/ 1gray-misc/$(ARCH)/
# deb-src http://waterlily.siamics.net/~ivan/mini-dinstall/ 1gray-misc/source/



Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. (Sat, 15 Sep 2012 15:21:07 GMT) Full text and rfc822 format available.

Notification sent to Ivan Shmakov <oneingray@gmail.com>:
Bug acknowledged by developer. (Sat, 15 Sep 2012 15:21:07 GMT) Full text and rfc822 format available.

Message #15 received at 680400-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 680400-close@bugs.debian.org
Subject: Bug#680400: fixed in hdf-eos5 5.1.14+dfsg.1-1
Date: Sat, 15 Sep 2012 15:17:50 +0000
Source: hdf-eos5
Source-Version: 5.1.14+dfsg.1-1

We believe that the bug you reported is fixed in the latest version of
hdf-eos5, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680400@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated hdf-eos5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 14 Sep 2012 18:50:19 +0100
Source: hdf-eos5
Binary: libhe5-hdfeos0 libhe5-hdfeos-dev
Architecture: source i386
Version: 5.1.14+dfsg.1-1
Distribution: unstable
Urgency: low
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 libhe5-hdfeos-dev - Development files for the HDF-EOS5 library
 libhe5-hdfeos0 - Earth Observation System extensions to HDF5
Closes: 670002 680400
Changes: 
 hdf-eos5 (5.1.14+dfsg.1-1) unstable; urgency=low
 .
   * New upstream release. Rebuild Closes: #680400.
   * Move to Standards-Version: 3.9.3
   * Add version mangling to watch file.
   * Remove Multi-Arch: same from -dev package. Closes: #670002.
   * Remove broken links in -dev package.
   * -lgctp removed by hdl_hl.patch hard-coding LIBS. Add -lgctp back.
Checksums-Sha1: 
 14e4f8eb45a03e10cfe05ac6feb602b587723929 1985 hdf-eos5_5.1.14+dfsg.1-1.dsc
 ace366193c66cf4062a3e870ca19092e4c41fa96 4336863 hdf-eos5_5.1.14+dfsg.1.orig.tar.gz
 c9002b0fa0b466e9e68237a270cb5b81c4e4da3d 5163 hdf-eos5_5.1.14+dfsg.1-1.debian.tar.gz
 b7445b7986eb146f28e5f51aff46456901c470fe 419256 libhe5-hdfeos0_5.1.14+dfsg.1-1_i386.deb
 8407617649d088604fe25b2f88f9ef7fb5a44dd8 642536 libhe5-hdfeos-dev_5.1.14+dfsg.1-1_i386.deb
Checksums-Sha256: 
 ccfdcde54cf0674fbc40b5887b3e473630e8b518755b5abf6a96ab01a9e34bf3 1985 hdf-eos5_5.1.14+dfsg.1-1.dsc
 18d89c8ab199260716e92622a1f9afdb5dba517dd405a568429364687ecd079e 4336863 hdf-eos5_5.1.14+dfsg.1.orig.tar.gz
 692a0f5dd086d5c8c7b42c91d4832e58327fc25a642cf3fb9f76157946dc25bd 5163 hdf-eos5_5.1.14+dfsg.1-1.debian.tar.gz
 10bb0e837f6133af82dd7f046883af48cadf8953c9e41b2a6dd14233669431ef 419256 libhe5-hdfeos0_5.1.14+dfsg.1-1_i386.deb
 923f67e21a8816045dea5f29f668e6c9c66bc478d04b582a9f1c17fd8a38fefd 642536 libhe5-hdfeos-dev_5.1.14+dfsg.1-1_i386.deb
Files: 
 b3d098f861869f5a330640f3cdd29b85 1985 libs optional hdf-eos5_5.1.14+dfsg.1-1.dsc
 209d629e1ecce10555b9058f9767c1cd 4336863 libs optional hdf-eos5_5.1.14+dfsg.1.orig.tar.gz
 a015fd0133e0cc63da412c8d315b3c99 5163 libs optional hdf-eos5_5.1.14+dfsg.1-1.debian.tar.gz
 ea2fcbefa2643ecc529345b46484959c 419256 libs optional libhe5-hdfeos0_5.1.14+dfsg.1-1_i386.deb
 504cea1af5f8f15ad19dd457893de347 642536 libdevel optional libhe5-hdfeos-dev_5.1.14+dfsg.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQU6/PAAoJEN9LdrZRJ3QsZ0MP/3CWMwV2dBHfarpMsSj5Yk9D
dLVDG0yKg82V6GI4jef1272Yuj59DWP/dcQRT6vPXVtEL85832TAJcIAipRCnE/4
GrW8DBLaErJqSF/Xangclbo/cBXf0BWk/trJBZs0q/XWScHWCi+WCNcH3pSGHu5g
4vSlJA3VpKCynRmVBnvW2PboIY8xFUloD9qviSv2Uvem4H3SMxRVfjsXn+gjbuum
1R/1sVGVH77cOz60yy3HKgPjV1u8yPGwDakAdazf6eByO9YFsGmncc77vcwpWQX8
hXB9MvelAtDCjO7nV6P04n9K5zJzwyxILNHT5csgpXB8hg1QzZasFKn2hGoq5DIL
5guFWfWZUCQnUayJjUCiih1gVeEU9nKxiZv0vJKgD6i3AeBKAN8GAzVURMOc1RZ+
VDihNkNbRIRxWR4moNrogGKGtafA/VZE/7VNAa2nmTF+HZnRc0WQatRKraHs0hs8
iW3hznD/Jpgi17lX7tegCrByPWeEZVqqW84yNu7362BXktyreaugvsKCU6Eq0qtO
iK5mlipOQsqRNIMSxiYPB70B+b6Mxe9TOwexOoPvdyRJI0gz+WYu9H3Wjiwf8ydM
KFVe97VFjF2hhXbcn0XHBwjUFP34FJ7JubNmQebiT5mddV7OLdGoojeLtYNX0224
ljPu+GdRBDPFOBi0lxgo
=Wz8v
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:26:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:35:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.